export interface MockElement extends HTMLElement {
    dataset: DOMStringMap;
    style: CSSStyleDeclaration;
    value: string;
    innerText: string;
    innerHTML: string;
    textContent: string;
    disabled?: string;
    readonly?: string;
    selectedIndex?: number;
    setAttribute(name: string, value: string): void;
    getAttribute(name: string): string | null;
    removeAttribute(name: string): void;
    className: string;
    insertAdjacentHTML(pos: InsertPosition, html: string): void;
    addEventListener(eventName: string, handler: EventListenerOrEventListenerObject): void;
    removeEventListener(eventName: string, handler: EventListenerOrEventListenerObject): void;
    dispatchEvent(event: Event): boolean;
}
export declare const MockElement: (props?: Record<string, any>) => MockElement;
